=== src/domain/CMakeLists.txt ===
add_library(domain
        EmberEntity.cpp
        EntityTalk.cpp)


wf_generate_lua_bindings(bindings/lua/Domain)
