=== src/bindings/lua/CMakeLists.txt ===
wf_generate_lua_bindings(ConnectorDefinitions TypeResolving.cpp)
