## ember 0.6.2+dfsg

=== debian/changelog ===
ember (0.6.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch 0014-boost-1.53.patch from git repository.
  * Patching to support wfmath-1.0 and ogre-1.8 (Backport from new upstream
    version): Patch 0015-ogre18-wfmath10.patch. (Closes: #704786)
  * The rebuild will also allow installing it again (Closes: #753767)
  * Adding versioned B-D on liberis-dev >1.3.21-0.1 to ensure that the NMU
    of eris is considered. (Can be removed the next upload)

 -- Tobias Frost <tobi@debian.org>  Sat, 16 Aug 2014 17:05:12 +0200

ember (0.6.2+dfsg-2) unstable; urgency=low

  * fixed a FTBFS on random arches due to --parallel on dh_install
    (closes: #677392)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Tue, 12 Jun 2012 15:59:48 -0400

ember (0.6.2+dfsg-1) unstable; urgency=low

  * new upstream release (closes: #633854)
    - removed dependency on libceguiogre-dev (closes: #629767)
  * removed old unused build dependencies
  * converted to 3.0 (quilt) source format, removed obsolete patches
  * converted to use dh sequencer (compat level 9)
  * new maintainer: Debian games team (closes: #653970)
    - added myself as uploader
  * adjusted paths in installed launcher script to use defaults
  * used xz compression in packaging
  * debian/control: updated Standards-Version to 3.9.3
  * debian/copyright: changed to computer-readable format (DEP-5)
  * 0008-replace-fastdeletegate-with-sigc++.patch: replaced FastDelegate
    - removed non-free code from orig tarball, added +dfsg to version
    - pulled sigc++ replacement patch from upstream instead
  * 0009-spelling-bach.patch: fix spelling mistake
  * 0010-fix-ember-script-args.patch: fix argument handling in script
  * 0011-qualify-template-function.patch: fixes FTBFS using GCC 4.7
  * 0012-fix-osdir-headers: adds required headers for POSIX.
  * 0013-remove-invalid-linker-flags.patch: remove an invalid linker flag

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Mon, 04 Jun 2012 11:46:25 -0400

ember (0.5.7-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * ember, ember.in
    - Proper escape of LD_LIBRARY_PATH, fixes CVE-2010-3355 "insecure library
      loading" (grave, security; Closes: #598288)

 -- Etienne Millon <etienne.millon@gmail.com>  Sun, 24 Oct 2010 17:40:16 +0200

ember (0.5.7-1) unstable; urgency=low

  * New upstream release.
    - Compile against current ogre (Closes: #551431)
    - Removed debian/patches/ember-gcc4.4.patch. Merged upstream.
    - Updated Depends on ember-media.
  * Add libboost-thread-dev tp Build-Depends.
  * Make debian/rules independent from upstream version.
  * Updated watch file to allow automatic download of new upstream
    tarballs.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Oct 2009 23:21:17 +0200

ember (0.5.6-2) unstable; urgency=low

  * Fix FTBFS with GCC 4.4 (Closes: #547190).
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 17 Sep 2009 18:43:00 +0200

ember (0.5.6-1) unstable; urgency=low

  * Initial release (Closes: #437516)

 -- Michael Koch <konqueror@gmx.de>  Thu, 23 Jul 2009 07:46:40 +0200
