=== debian/control ===
Source: ember
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libalut-dev,
               libatlas-cpp-0.6-dev (>= 0.6.1),
               libboost-thread-dev,
               libcegui-mk2-dev (>= 0.7.5),
               liberis-1.3-dev (>= 1.3.21-0.1~),
               liblua5.1-0-dev,
               libmercator-0.3-dev (>= 0.3.0),
               libogre-1.8-dev,
               libopenal-dev,
               libpcre3-dev,
               libsdl1.2-dev,
               libsigc++-2.0-dev,
               libtinyxml-dev,
               libtolua++5.1-dev,
               libvarconf-dev (>= 0.6.7),
               libwfut-0.2-dev (>= 0.2.1),
               pkg-config
Standards-Version: 3.9.3
Homepage: http://www.worldforge.org/
Vcs-Git: git://git.debian.org/git/pkg-games/ember.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/ember.git

Package: ember
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ember-media (>= 0.6.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3D client framework for the WorldForge project
 Ember is a 3D client framework for WorldForge. It's not meant to be a
 standalone game, instead its purpose is to provide a solid and extensible
 base from which to build game-specific clients. One of the goals of Ember
 is to allow for easy customization of the codebase. Currently it supports
 the game world of Mason.
