=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --enable-cppunit=no

# force generated sources to be regenerated with local version of tolua++
override_dh_auto_build:
	chmod +x scripts/update_lua_bindings.sh
	make clean
	dh_auto_build

override_dh_install:
	find . -name COPYING -delete
	dh_install --fail-missing -X.la -X.a -XCOPYING
	rm -rf debian/ember/usr/share/ember/media/shared/sounddefinitions

override_dh_builddeb:
	dh_builddeb -- -Zxz
