=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
http://sf.net/worldforge/ember-([\d\.]*)\.tar\.bz2 debian uupdate
