## ember 0.7.2+dfsg

=== debian/changelog ===
ember (0.7.2+dfsg-1build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:13 +0000

ember (0.7.2+dfsg-1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:18:11 +0000

ember (0.7.2+dfsg-1) unstable; urgency=medium

  [ Stephen M. Webb ]
  * debian/control: updated build-depends to newer minimum versions
    (closes: #704786)
  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/patches/0001-ember.in-test-expr.patch: removed (fixed upstream)
  * debian/patches/0002-add-update_lua_bindings.patch: removed (fixed upstream)
  * debian/patches/0003-add-atlas-pkg.patch: removed (fixed upstream)
  * debian/patches/0004-domain-bindings-lua-makefile.patch: refreshed
  * debian/patches/0005-ember.in-prefix.patch: removed (fixed upstream)
  * debian/patches/0006-spellcheck-similiar.patch: removed (fixed upstream)
  * debian/patches/0007-revert-libwfut-version.patch: refreshed
  * debian/patches/0008-replace-fastdeletegate-with-sigc++.patch: removed
   (fixed upstream)
  * debian/patches/0009-spelling-bach.patch: removed (fixed upstream)
  * debian/patches/0010-fix-ember-script-args.patch: removed (fixed upstream)
  * debian/patches/0011-qualify-template-functions.patch: removed (fixed
    upstream)
  * debian/patches/0012-fix-osdir-headers.patch: removed (fixed upstream)
  * debian/patches/0013-remove-invalid-linker-flags.patch: removed (fixed
    upstream)
  * debian/patches/0014-add-missing-ogrelodstrategy.patch: new
  * debian/control: fixed Vcs-Browser URL
  * debian/patches/0015-verbose-configure-errors.patch: new
  * debian/patches/0016-boost-1.53.patch: new
  * debian/control: bump boost build dependeny to 1.53

  [ Olek Wojnar ]
  * New upstream release (Closes: #799748)
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * d/patches/0007-revert-libwfut-version.patch: removed (unnecessary)
  * d/control
    - Remove pre-dependency on dpkg
    - Update standards to 3.9.8 (no changes)
    - Update Vcs lines for secure URIs
  * Import patch from the wfmath package to replace MersenneTwister.h
    -- Avoids problems from ambiguous copyright of the original file
  * Update dependencies for version 0.7.2
  * Enable all hardening options
  * Add three lintian overrides
    -- Ignore install into usr/bin (binary)
    -- Ignore .rc files needed for WIN32 build (source)
    -- Ignore false positive of spelling error (binary)
  * d/copyright: Update contributors and dates
  * d/rules
    -- Do not remove "sounddefinitions" directory
    -- Enable parallel build
    -- Do not install into games directories
    -- Remove dh_builddeb override since xz is now the default
  * d/watch: update file extensions
  * Remove three patches, add eight patches, update remaining patches
    -- 0004-domain-bindings-lua-makefile.patch (implemented upstream)
    -- 0014-add-missing-ogrelodstrategy.patch (implemented upstream)
    -- 0016-boost-1.53.patch (patch target file removed upstream)
    -- 0018-enable-subdir-objects.patch (Fix automake 1.14 warnings)
    -- 0019-update-boost-m4.patch (Fix invalid boost_major_version)
    -- 0020-remove-obsolete-includes.patch (Fix obsolete includes)
    -- 0021-GraphicalChangeAdapter-fix-for-newer-compilers.patch (Added)
    -- 0022-fix-typos.patch (Fix typos identified by lintian)
    -- 0023-add-keywords-to-desktop-file.patch (Add Keywords to .desktop file)
    -- 0024-fix-icon-location (Make icon location Icon Theme Spec-compliant)
    -- 0025-fix-duplicate-script-install.patch (Was causing build failures)

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 06 Aug 2016 18:39:19 -0400
