=== debian/control ===
Source: ember
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek-dev@wojnar.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libalut-dev,
               libatlas-cpp-0.6-dev (>= 0.6.3),
               libboost-dev,
               libboost-date-time-dev,
               libboost-thread-dev,
               libcegui-mk2-dev (>= 0.8.3),
               liberis-1.3-dev (>= 1.3.23),
               liblua5.1-0-dev,
               libmercator-0.3-dev (>= 0.3.3),
               libogg-dev,
               libogre-1.9-dev,
               libopenal-dev,
               libpcre3-dev,
               libsdl1.2-dev,
               libsigc++-2.0-dev,
               libtinyxml-dev,
               libtolua++5.1-dev,
               libvarconf-dev (>= 0.6.7),
               libvorbis-dev,
               libwfmath-1.0-dev,
               libwfut-0.2-dev (>= 0.2.2),
               pkg-config
Standards-Version: 3.9.8
Homepage: http://www.worldforge.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/ember.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ember.git

Package: ember
Architecture: any
Depends: ember-media (>= 0.6.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3D client framework for the WorldForge project
 Ember is a 3D client framework for WorldForge. It's not meant to be a
 standalone game, instead its purpose is to provide a solid and extensible
 base from which to build game-specific clients. One of the goals of Ember
 is to allow for easy customization of the codebase. Currently it supports
 the game world of Mason.
