## ember 0.8.0~snap1

=== debian/changelog ===
ember (0.8.0~snap1) unstable; urgency=medium

  * Convert to snap package
  * Update Standards to 4.5.0 (no changes)
  * Update to compatibility level 12 and remove d/compat file
  * Add Rules-Requires-Root: no

 -- Olek Wojnar <olek@debian.org>  Fri, 07 Feb 2020 21:28:22 -0500

ember (0.7.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add fix-gcc-9.patch.
    Fix FTBFS with GCC-9.
    Thanks to Giovanni Mascellani for the patch! (Closes: #925674)
  * Declare compliance with Debian Policy 4.4.0.

 -- Markus Koschany <apo@debian.org>  Thu, 25 Jul 2019 05:32:32 +0200

ember (0.7.2+dfsg-2) unstable; urgency=medium

  * Update d/control
    - New uploader email and URLs
    - Debhelper to 11
    - Standards to 4.2.1 (no changes)
  * Update d/copyright
    - Refresh URLs and Debian info
    - Document reason for DFSG original source
  * Update d/compat to 11:
    - Update d/rules: add dh_missing, remove parallel, remove with autoreconf
    - Update d/control: remove dh-autoreconf build-depends
  * Add d/upstream/metadata: for DEP 12 compliance

 -- Olek Wojnar <olekw.dev@gmail.com>  Sat, 13 Oct 2018 04:22:37 -0400
