=== debian/control ===
Source: ember
Section: oldlibs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek@debian.org>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.worldforge.org/
Vcs-Git: https://salsa.debian.org/games-team/ember.git
Vcs-Browser: https://salsa.debian.org/games-team/ember

Package: ember
Architecture: any
Pre-Depends: snapd
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D client framework for the WorldForge project
 Ember is a 3D client framework for WorldForge. It's not meant to be a
 standalone game, instead its purpose is to provide a solid and extensible
 base from which to build game-specific clients. One of the goals of Ember
 is to allow for easy customization of the codebase. Currently it supports
 the game world of Mason.
 .
 This is a transitional package that installs the Ember snap package.
